Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Class PlaneUI

    java.lang.Object
      threeD.raytracer.surfaceUI.AbstractSurfaceUI
          threeD.raytracer.surfaceUI.PlaneUI

All Implemented Interfaces:
  Surface, SurfaceUI, SurfaceWrapper

public class PlaneUI
extends AbstractSurfaceUI

A PlaneUI object is an extension of the basic Plane object that can be used in an application with a user interface.

Field Summary

Fields inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`surface`

Constructor Summary
`PlaneUI()` Constructs a PlaneUI object that represents an XY plane that is black.

Method Summary
`void` | `draw(Graphics g, Camera camera)` Draws a simple representation of the plane represented by this PlaneUI object on the specified Graphics object using the viewing settings of the specified Camera object.
`Dialog` | `getDialog()` Returns a Dialog object that can be used to specify extra information about this PlaneUI object.
`String` | `getType()` Returns "Primitive Plane" as the surface type of this SurfaceUI object.
`boolean` | `hasDialog()` Returns true.

Methods inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`getColorAt, getName, getNormalAt, getShadeBack, getShadeFront, getSurface, intersect, intersectAt, setName, setParent, setSurface, shade, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlaneUI

    public PlaneUI()

  Constructs a PlaneUI object that represents an XY plane that is black.

Method Detail

### hasDialog

    public boolean hasDialog()

  Returns true.

  Specified by:
    `hasDialog` in interface `SurfaceUI`
  Overrides:
    `hasDialog` in class `AbstractSurfaceUI`

### getDialog

    public Dialog getDialog()

  Returns a Dialog object that can be used to specify extra information about this PlaneUI object.

  Specified by:
    `getDialog` in interface `SurfaceUI`
  Overrides:
    `getDialog` in class `AbstractSurfaceUI`

### getType

    public String getType()

  Returns "Primitive Plane" as the surface type of this SurfaceUI object.

### draw

    public void draw(Graphics g,
                     Camera camera)

  Draws a simple representation of the plane represented by this PlaneUI object on the specified Graphics object using the viewing settings of the specified Camera object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray